org.apache.calcite.avatica.remote

## Class MockJsonService.Factory

- java.lang.Object
- - org.apache.calcite.avatica.remote.MockJsonService.Factory

All Implemented Interfaces:
  Service.Factory

Enclosing class:
  MockJsonService

    public static class MockJsonService.Factory
    extends Object
    implements Service.Factory

Factory that creates a `MockJsonService`.

### Constructor Summary

Constructors
Constructor and Description
`Factory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Service` `create(AvaticaConnection connection)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Factory

    public Factory()

### Method Detail

#### create

    public Service create(AvaticaConnection connection)

Specified by:
  `create` in interface `Service.Factory`